Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.core
Class ActionReturnRequeue

    java.lang.Object
      gecco.server.core.ActionReturn
          gecco.server.core.ActionReturnRequeue

public class ActionReturnRequeue
extends ActionReturn

An instance of this class should be returned from action handlers to indicate that the action is not finished and that the handler should be called again after a specified amount of time.

Author:
  Henrik Bäärnhielm, Karl Hasselström, Henrik Hägerström

Field Summary

Fields inherited from class gecco.server.core.ActionReturn
`unitMessage`

Constructor Summary
`ActionReturnRequeue(double timeToWakeup)` Constructor for the ActionReturnRequeue object
`ActionReturnRequeue(double timeToWakeup, String unitMessage)` Constructor for the ActionReturnRequeue object

Method Summary
`double` | `getTimeToWakeup()` Gets the number of seconds until next call to handler.

Methods inherited from class gecco.server.core.ActionReturn
`getUnitMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionReturnRequeue

    public ActionReturnRequeue(double timeToWakeup)

  Constructor for the ActionReturnRequeue object

Parameters:
  `timeToWakeup` - Seconds until next call to handler (game time).

### ActionReturnRequeue

    public ActionReturnRequeue(double timeToWakeup,
                               String unitMessage)

  Constructor for the ActionReturnRequeue object

Parameters:
  `timeToWakeup` - Seconds until next call to handler.
  `unitMessage` - Return message from handler.

Method Detail

### getTimeToWakeup

    public double getTimeToWakeup()

  Gets the number of seconds until next call to handler.

  Returns:
    Seconds until next call to handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD